!set title=abs
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-5.000000
rightrange=5.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=no
precision=10000

ansorder=c
varcnt=7
prevarcnt=6
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Continuous but not differentiable,	 Differentiable but not continuous,	 Differentiable of order 1 but not 2,	 Differentiable of order 2 but not 3,	 Differentiable of order 3 but not 4,	 Differentiable of any order
val7=|x|,	  |x<sup>2</sup>|,	  |x<sup>3</sup>|,	  |x<sup>2</sup>+1|,	  |x<sup>2</sup>-1|,		  |x<sup>3</sup>+1|,	  |x<sup>3</sup>-1|,	  x|x|,	  x<sup>2</sup>|x|,	  x|x<sup>2</sup>|	
val8=Continuous but not differentiable,	 Differentiable of any order,	 Differentiable of order 2 but not 3,	 Differentiable of any order,	 Continuous but not differentiable,	 	 Continuous but not differentiable,	 Continuous but not differentiable,	 Differentiable of order 1 but not 2,	 Differentiable of order 2 but not 3,	 Differentiable of any order,	
tmp0=!itemcnt $val7

tmp1=!randint 1, $(tmp0)

val9=$[rint($(tmp1))]
tmp0=!item $val9 of $val7

val10=$(tmp0)
tmp0=!item $val9 of $val8

val11=$(tmp0)
choicename1=f(x) is
choicegood1=$val11
choicebad1=$val6
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()What is the differentiability of the function	f(x)&nbsp;=&nbsp;$val10 over the interval [-10,10]?
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=10
embedcnt=0
